%define _requires_exceptions pear(.*)

Summary:	A Comprehensive Linux Benchmarking System
Name:		phoronix-test-suite
Version:	4.8.6
Release:	%mkrel 1
Source0:	%{name}-%{version}.tar.gz
Patch0:		phoronix-test-suite-3.6.1-install.patch
License:	GPLv3
Group:		Publishing
Url:		http://www.phoronix-test-suite.com/
BuildArch:	noarch
Requires:	php-cli
Requires:	php-gtk2
Requires:	php-fpdf
Suggests:	freeimage-devel
Suggests:	ftjam
Suggests:	git
Suggests:	gcc-gfortran
Suggests:	glew-devel
Suggests:	gtk+2-devel
Suggests:	java
Suggests:	libopenjpeg-devel
Suggests:	imlib2-devel
Suggests:	libaio-devel
Suggests:	libcurl-devel
Suggests:	libfftw-devel
Suggests:	libpopt-devel
Suggests:	libvorbis-devel
Suggests:	openal-devel
Suggests:	perl-devel
#Suggests:	perl-opengl # will be needed in a further revision but we are too close of the release
Suggests:	portaudio-devel
Suggests:	png-devel
Suggests:	php-gd
Suggests:	scons
Suggests:	SDL-devel
Suggests:	SDL_gfx-devel
Suggests:	SDL_net-devel
Suggests:	SDL_image-devel
Suggests:	SDL_sound-devel
Suggests:	SDL_ttf-devel
Suggests:	task-c-devel
Suggests:	task-c++-devel
Suggests:	tcsh
Suggests:	X11-devel

%description
The Phoronix Test Suite is the most comprehensive testing and benchmarking 
platform available for Linux and is designed to carry out qualitative and 
quantitative benchmarks in a clean, reproducible, and easy-to-use manner.

%prep
%setup -q -n %{name}
%patch0 -p1

%build

%install
mkdir -p %{buildroot}%{_prefix}
./install-sh %{buildroot}%{_prefix}
sed -i "s|%{buildroot}||g" %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Phoronix Test Suite
Comment=Phoronix Test Suite Benchmarking Utility
Exec=%{_bindir}/%{name} gui
Icon=%{name}
Terminal=false
Type=Application
Encoding=UTF-8
StartupNotify=true
Categories=GTK;System;Monitor;X-MandrivaLinux-CrossDesktop;
EOF

%files
%{_sysconfdir}/bash_completion.d/%{name}
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/phoronix-test-suite-launcher.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%doc %{_datadir}/doc/%{name}


%changelog
* Mon Dec 23 2013 dams <dams> 4.8.6-1.mga4
+ Revision: 560070
- new version 4.8.6

* Mon Oct 21 2013 umeabot <umeabot> 4.8.3-2.mga4
+ Revision: 539576
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 dams <dams> 4.8.3-1.mga4
+ Revision: 492462
- new version 4.8.3

* Fri Sep 06 2013 dams <dams> 4.8.2-1.mga4
+ Revision: 475378
- new version 4.8.2

* Mon Aug 26 2013 dams <dams> 4.8.1-1.mga4
+ Revision: 471949
- new version 4.8.1

* Sat Jun 08 2013 dams <dams> 4.6.1-1.mga4
+ Revision: 440732
- new version 4.6.1

* Wed May 29 2013 dams <dams> 4.6.0-1.mga4
+ Revision: 432886
- new version 4.6.0

* Tue Mar 26 2013 dams <dams> 4.4.1-1.mga3
+ Revision: 405253
- new version 4.4.1

* Tue Mar 05 2013 dams <dams> 4.4.0-1.mga3
+ Revision: 401481
- new version 4.4.0

* Sun Jan 13 2013 umeabot <umeabot> 4.2.0-2.mga3
+ Revision: 375654
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 dams <dams> 4.2.0-1.mga3
+ Revision: 335236
- new version 4.2.0

* Wed Aug 29 2012 dams <dams> 4.0.1-1.mga3
+ Revision: 285005
- new version 4.0.1
- clean specfile

* Sun Aug 12 2012 dams <dams> 4.0.0-1.mga3
+ Revision: 280886
- new version 4.0.0

* Mon Apr 23 2012 dams <dams> 3.8.0-1.mga2
+ Revision: 232954
- new version 3.8.0

* Mon Jan 09 2012 dams <dams> 3.6.1-1.mga2
+ Revision: 193989
- new version 3.6.1

* Tue Dec 20 2011 dams <dams> 3.6.0-1.mga2
+ Revision: 184811
- new version 3.6.0

* Mon Nov 07 2011 dams <dams> 3.4.0-1.mga2
+ Revision: 164912
- clean specfile
- imported package phoronix-test-suite


* Thu Sep 08 2011 Stéphane Téletchéa <steletch@mandriva.org> 3.4.0-1mdv2012.0
+ Revision: 698993
- Update to 3.4

* Wed Sep 07 2011 Stéphane Téletchéa <steletch@mandriva.org> 3.2.1-1
+ Revision: 698539
- Update to 3.2.1

* Mon Jun 20 2011 Stéphane Téletchéa <steletch@mandriva.org> 3.2.0-1
+ Revision: 686138
- Update to 3.2.0

* Wed Mar 16 2011 Stéphane Téletchéa <steletch@mandriva.org> 3.0.1-1
+ Revision: 645581
- Update to 3.0.1

* Wed Mar 09 2011 Stéphane Téletchéa <steletch@mandriva.org> 3.0.0-1
+ Revision: 643179
- Really update to 3.0
- update to new version 3.0.0

* Mon Feb 14 2011 Stéphane Téletchéa <steletch@mandriva.org> 3.0.0-0.rc1.1
+ Revision: 637809
- Preparing for the 3.0 release, hallmark for openbenchmarking

* Sun Nov 21 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.8.2-1mdv2011.0
+ Revision: 599447
- Update to 2.8.2

* Sun Sep 12 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.8.1-1mdv2011.0
+ Revision: 577698
- Update to 2.8.1

* Thu Sep 02 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.8.0-1mdv2011.0
+ Revision: 575367
- Update to 2.8.0 final

* Tue Aug 24 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.8.0-0.b3mdv2011.0
+ Revision: 572935
- Update to 2.8.0 beta3

* Tue Aug 24 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.8.0-0.b2mdv2011.0
+ Revision: 572759
- Update to 2.8.0 beta2

* Wed Aug 04 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.8.0-0.b1mdv2011.0
+ Revision: 565673
- Update to 2.8.0 beta1

* Fri Jun 04 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.6.1-1mdv2010.1
+ Revision: 547069
- Update to 2.6.1

* Tue May 25 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.6.0-1mdv2010.1
+ Revision: 545854
- Update to 2.6.0 final

* Fri May 14 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.6.0-0.b3.1mdv2010.1
+ Revision: 544743
- Update to 2.6.0b3

* Fri May 07 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.6.0-0.b2.1mdv2010.1
+ Revision: 543130
- Update to 2.6.0 beta2

* Tue Apr 27 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.6.0-0.b1.1mdv2010.1
+ Revision: 539540
- Update to 2.6.0 beta1

* Tue Apr 13 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.6.0-0.a3.1mdv2010.1
+ Revision: 534272
- Update to 2.6.0 alpha 3 test release

* Tue Apr 06 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.6.0-0.a2.1mdv2010.1
+ Revision: 532063
- Update to 2.6.0 alpha 2 test release

* Thu Feb 18 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.4.1-1mdv2010.1
+ Revision: 507414
- Update to 2.4.1

* Tue Feb 02 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.4.0-1mdv2010.1
+ Revision: 499641
- Update to 2.4.0 final

* Tue Jan 26 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.4.0b3-1mdv2010.1
+ Revision: 496524
- New release 2.4.0b3

* Fri Jan 22 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.4.0b2-1mdv2010.1
+ Revision: 495005
- 2.4.0b2

* Fri Jan 15 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.4.0b1-1mdv2010.1
+ Revision: 491675
- New release 2.4.0b1

* Fri Jan 01 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.4.0a3-1mdv2010.1
+ Revision: 484665
- Update to latest release

* Mon Nov 16 2009 Stéphane Téletchéa <steletch@mandriva.org> 2.2.0-1mdv2010.1
+ Revision: 466579
- Update to latest 2.2.0 release

* Thu Sep 03 2009 Stéphane Téletchéa <steletch@mandriva.org> 2.0.0-3mdv2010.0
+ Revision: 428008
- remove the broken pear automatic dependency extraction, thans to Guillaume

* Wed Sep 02 2009 Stéphane Téletchéa <steletch@mandriva.org> 2.0.0-2mdv2010.0
+ Revision: 425879
- Updated to include the newly introduced php-fpdf dependency

* Sun Aug 30 2009 Stéphane Téletchéa <steletch@mandriva.org> 2.0.0-1mdv2010.0
+ Revision: 422361
-Updated to 2.0.0 release
- Added strict requires for phoronix-test-suite and Suggest for the tests

* Thu Apr 16 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.8.1-1mdv2009.1
+ Revision: 367804
- Bugfix update for 1.8 series

* Wed Apr 08 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.8.0-2mdv2009.1
+ Revision: 365174
- Update invalid exec entry for the menu
- Fix desktop category

* Tue Apr 07 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.8.0-1mdv2009.1
+ Revision: 364848
- Updated to 1.8
- Added a menu entry for the gui part
- perl-opengl will be needed in the future

* Tue Jan 20 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.6.0-1mdv2009.1
+ Revision: 331810
- Final 1.6.0 release

* Tue Jan 13 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.6-0b3.1mdv2009.1
+ Revision: 328889
- 1.6.0 beta 3

* Mon Jan 12 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.6-0b2.1mdv2009.1
+ Revision: 328648
- Update to 1.6.0beta2

* Mon Nov 03 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.4.0-1mdv2009.1
+ Revision: 299565
- Update to release 1.4.0

* Sun Sep 14 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.2.2-1mdv2009.0
+ Revision: 284800
- update to 1.2.2
- minor dependencies update for latest release

* Wed Sep 03 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.2.0-1mdv2009.0
+ Revision: 279726
- 1.2 final

* Thu Aug 28 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.2-0b3mdv2009.0
+ Revision: 277056
- update to 1.2.0 beta3

* Thu Aug 21 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.0.5-1mdv2009.0
+ Revision: 274945
- add buildroot, correct spec name to comply with bs
- import phoronix-test-suite


* Fri Aug 21 2008 Stéphane Téletchéa <steletch@mandriva.org>
- Initial Mandriva release
